# -*- coding: utf-8 -*-
# nacte r hodnot z experimentu a vrátí seznam v=[x,y], []
# r = pocet hodnot
def exp():
    
  import numpy as np
 
  r=rozsah=1585; #pocet hodnot       pro 2 relax
  import os
  os.chdir('..')
  os.chdir('mereni')
  crdir=os.getcwd()
  nazev=crdir+'//smyk_3.TRA' 
  
  # nazev souboru ke čtení
  preskoc = 2 # počet řádků, které má program přeskočit (popisky, informace)
  S=[0,3,1] # sloupce které chceme načíst [x,y] (indexováno od 0)
  delimiter=';' # oddělovač, kterým jsou oddělené jednotlivé sloupce
  
 
  
  # preskoceni radku
  file = open(nazev)
  for preskoc in range(preskoc): line = file.readline()  
  
  #pomocné proměnné  
  a=[];
  x=[];
  y=[];
  z=[];
  
  atx=[]
  aty=[]
  
  
  # counter
  i=1;
  while 1:
      line = file.readline()
      if not line:
          break
      b=line.split(delimiter)
      a.append(b)
      #posuv grafu
      sila_pos=0
      pos_pos=0
      
      
           
      y.append(float(b[S[0]]))     
      x.append(float(b[S[1]]))    
      z.append(float(b[S[2]])/1000.0)
      
      if i==r: break
      i=i+1;
  file.close()
  


  return (x,y,z)
  
# kontrola


#        test=y.index(np.max(y))
#   print test
# 
# 
#   import matplotlib.pyplot as plt
#   plt.plot(x,y)
#   plt.show()
  

  

  
# načte data z mkp (vlastni verze vystupu)


def fem():
    import numpy as np
    nazev=('output_fem_smyk.txt'); # nazev souboru
    delimiter=';' # oddelovač 
    
    #pomocne promenne
    b=[]
    a=[]
    x=[]
    y=[]
    z=[]
   
    
    file = open(nazev) 
    i=1;
    while 1:
      line = file.readline()
      if not line:
        break
      b=line.split(delimiter)
      a.append(b)
         
      x.append(float(b[0])) ## cas
      y.append(float(b[1])) ##sila 
      z.append(float(b[2])) ##posuv 
    
    
      i=i+1;
    
    file.close() 
    return (x,y,z)